unbound: auth_zone Struct Reference

unbound 0.1

Data Fields
auth_zone Struct Reference

Auth zone. More...

`#include <authzone.h>`

## Data Fields
rbnode_type | node
| rbtree node, key is name and class
uint8_t * | name
| zone name, in uncompressed wireformat
size_t | namelen
| length of zone name
int | namelabs
| number of labels in zone name
uint16_t | dclass
| the class of this zone, in host byteorder.
lock_rw_type | lock
| lock on the data in the structure For the node, parent, name, namelen, namelabs, dclass, you need to also hold the zones_tree lock to change them (or to delete this zone)
rbtree_type | data
| auth data for this zone rbtree of struct auth_data
char * | zonefile
| zonefile name (or NULL for no zonefile)
int | fallback_enabled
| fallback to the internet on failure or ttl-expiry of auth zone
int | zone_expired
| the zone has expired (enabled by the xfer worker), fallback happens if that option is enabled.
int | zone_is_slave
| zone is a slave zone (it has masters)
int | for_downstream
| for downstream: this zone answers queries towards the downstream clients
int | for_upstream
| for upstream: this zone answers queries that unbound intends to send upstream.
int | zonemd_check
| check ZONEMD records
int | zonemd_reject_absence
| reject absence of ZONEMD records
struct rpz * | rpz
| RPZ zones.
struct module_env * | zonemd_callback_env
| store the env (worker thread specific) for the zonemd callbacks from the mesh with the results of the lookup, if nonNULL, some worker has already picked up the zonemd verification task and this worker does not have to do it as well.
uint16_t | zonemd_callback_qtype
| for the zonemd callback, the type of data looked up
int | zone_deleted
| zone has been deleted
struct auth_zone * | delete_next
| deletelist pointer, unused normally except during delete
struct auth_zone * | rpz_az_next
| next auth zone containing RPZ data, or NULL
struct auth_zone * | rpz_az_prev
| previous auth zone containing RPZ data, or NULL

## Detailed Description

Auth zone.

Authoritative data, that is fetched from instead of sending packets to the internet.

## Field Documentation

## ◆ dclass

uint16_t auth_zone::dclass

the class of this zone, in host byteorder.

uses 'dclass' to not conflict with c++ keyword class.

Referenced by add_synth_cname(), auth_packed_rrset_copy_region(), auth_xfer_new(), auth_zone_cmp(), auth_zone_create(), auth_zone_find(), auth_zone_find_less_equal(), auth_zone_verify_zonemd(), auth_zone_verify_zonemd_key_with_ds(), auth_zone_write_rrset(), auth_zones_can_fallback(), auth_zones_find_or_add_xfer(), auth_zones_find_zone(), auth_zones_pickup_zonemd_verify(), auth_zones_setup_zones(), az_delete_deleted_zones(), az_insert_rr(), az_remove_rr(), msg_add_rrset_an(), msg_add_rrset_ar(), msg_add_rrset_ns(), zonemd_dnssec_verify_rrset(), zonemd_get_dnskey_from_anchor(), zonemd_lookup_dnskey(), zonemd_simple_rrset(), and zonemd_simple_rrsig().

The documentation for this struct was generated from the following file:

- services/authzone.h